### 1.3.6

* Support for OCaml 5.2

### 1.3.5

* Support for OCaml 5.1
* Explicitely drop support for OCaml < 4.08

### 1.3.4

* Fixed to lookup of files, working around latest dune quirks
* Handle `/workspace_root` virtual path in source locations
* Fixed ocp-grep (handle implicit opens, multi-line strings bugs)

### 1.3.3

* Support for OCaml 4.14
* Fixed matching of escapes in strings with ocp-grep

### 1.3.2

* Fixed a regression in 1.3.0 that prevented detection of hidden dune object
  files

### 1.3.1

* Support for OCaml 4.13

### 1.3.0

* Support for getting opened modules from `.merlin` files
* Fix to handle `.mly` file headers
* Fixed the order in which `open` from flags and context are applied (context
  first)
* Don't scan directories starting with `_` or `.` (except for the opam prefix
  and build directory of course)
* Emacs: jump-to-definition now opens in the same window
* Scrap `dune` files to guess the containing library and infer module name
  translations and opens
* Handle the `@canonical` odoc annotation used in module aliases

### 1.2.2

* Support for OCaml 4.12
* Switched CI from Travis to Github Actions
* Use the newer `opam var` instead of `opam config var`

### 1.2.1

* Support for OCaml 4.11
* Support for separate location of cmt / cmti files when building with dune
* Use cppo instead of ocp-pp
* Rename module `Trie` for compat

### 1.2

* Support for OCaml 4.10
* Support for Zed 2.0
* Add a help hint in ocp-browser

### 1.1.9
* Support for OCaml 4.08
* Fix issue with latest dune that led to silently compiling dummy binaries

### 1.1.8
* Fix lazy loading regression in 1.1.7

### 1.1.7
* Support for OCaml 4.07
* Drop support for OCaml < 4.02
* Emacs mode: fix a few issues (capitalisation of filenames)
* ocp-browser: sort output, add hints and show doc by default, skip `Foo__bar`
  when `Foo` exists

### 1.1.6
* Fixed escaping issue in tuareg doc mode
* Emacs mode: support eldoc
* Vim mode: add info printing on 'K'
* Split ocp-browser into a separate opam package
* Move build system to jbuilder and reorganise source tree

### 1.1.5
* Use preprocessing for compatibility with multiple OCaml versions
* Add compatibility with OCaml 4.03, 4.04
* Improve support for completion in Emacs using company-mode

### 1.1.4
* emacs: more interactive ocp-grep call (C-c /) ; better printing of type/doc
* use `cmt_builddir` information to more reliably point to the sources
* improved and extended format-strings and formatting options
* Some basic handling of distributive {Mod.x; y}

### 1.1.3
* some small elisp improvements
* add '%e' format string for enclosing type definition (useful to get "other
  variants", "other fields"). Repeat C-c C-t in emacs mode to use.
* compatible with new 4.02.3 doc attached to the parse-tree (4.02 branch)

### 1.1.2
* much improved vim script
* better output formatting
* give location of full modules (previously, only values within the module had
  location). Useful for in-editor file jumping
* sort results by location (to get the same source idents in mli order, rather
  than somewhat but not really alphabetical order)
* allow escapes in --format
* ocp-browser: add global toggle with Alt-a
* fixed some cases of recursive lookup within the same file

### 1.1.1
* fixed comment association for modules and one-per-line values
* better errors on cmi/cmt from incompatible compiler versions
* fixed version reporting

### 1.1.0
* completely rewritten ocp-browser by Gabriel Radanne
* supports OCaml 4.02 (with git branching)
* respect file loading order, which avoids some lookup loop bugs
* fixed and disabled type qualification by default
* fixed handling of functors
* get implementation positions through module aliases

### 1.0.3
* improved emacs mode, now supporting both auto-comlete and company
* fixed return value of ocp-grep
* added '--format' to the complete command
* fixed some case of laziness that could fail with some nested module aliases
* better man-page

### 1.0.2
* much more expressive command-line option "print" to access more known info
* cleaner command-line include options
* ocp-grep can now search in program strings (with -s "string" or -e "regex")
* ocp-grep: display relative paths
* more reliable printing of ident paths before/after opens
* better project root lookup
* emacs: more reliable process call
* emacs: added `C-c /`, find-uses-of-indent-under-point
* emacs: completion mode without auto-complete (contribution by Nicolas Ojeda Bar)
* emacs: show bubble on completed ident for quicker doc access

### 1.0.1
* add the ocp-grep tool, looking for uses of a given fully-qualified identifier in a source tree
* better vim mode contributed by Anyakichi
* fixed default lookup path
* emacs: better definition of keybindings, cleaner loading, workaround auto-complete bug
* refactored build system, installing through opam-installer and register as ocamlfind sub-modules
* emacs: replace `C-c t` by `C-c C-t` to follow emacs minor-mode guidelines
* emacs: better handling of process environment to work properly with OPAM on OSX
